Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface IfTree

All Superinterfaces:
  `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface IfTree
    extends StatementTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for an 'if' statement. For example:

       if ( condition )
          thenStatement

       if ( condition )
           thenStatement
       else
           elseStatement

Since:
  9

### Nested Class Summary

### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ExpressionTree` `getCondition()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the condition expression of this 'if' statement.
`StatementTree` `getElseStatement()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the then statement of this 'if' statement.
`StatementTree` `getThenStatement()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the 'then' statement of this 'if' statement.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the condition expression of this 'if' statement.

Returns:
  the condition expression

#### getThenStatement

    StatementTree getThenStatement()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the 'then' statement of this 'if' statement.

Returns:
  the 'then' statement

#### getElseStatement

    StatementTree getElseStatement()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the then statement of this 'if' statement. null if this if statement has no else branch.

Returns:
  the 'else' statement